## gst-plugins-bad1.0 1.19.90

=== debian/changelog ===
gst-plugins-bad1.0 (1.19.90-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 16:43:41 -0500

gst-plugins-bad1.0 (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 17:15:28 +0200
