## gst-plugins-bad1.0 1.20.0

=== debian/changelog ===
gst-plugins-bad1.0 (1.20.0-4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control,
    debian/patches/03-openaptx-Support-libfreeaptx.patch:
    + Use libopenaptx instead of libfreeaptx.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Feb 2022 09:13:55 +0200

gst-plugins-bad1.0 (1.20.0-3) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Do not build ldac plugin on big-endian architectures
    libldac is not building on these, see #980372.

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 10 Feb 2022 15:32:48 +0200

gst-plugins-bad1.0 (1.20.0-2) unstable; urgency=medium

  * debian/control:
    + Let gstreamer1.0-plugins-bad depend on gstreamer1.0-plugins-good as some
      plugins in the former require plugins from the latter.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 10:27:30 +0200

gst-plugins-bad1.0 (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 08:58:33 +0200
