=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-plugins-bad1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper,
@@ -13,10 +12,10 @@
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.19.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.19.90),
-               gstreamer1.0-plugins-base (>= 1.19.90),
-               gstreamer1.0-plugins-good (>= 1.19.90),
+               libgstreamer1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
+               gstreamer1.0-plugins-base (>= 1.20.0),
+               gstreamer1.0-plugins-good (>= 1.20.0),
                liborc-0.4-dev (>= 1:0.4.24),
                flite-dev,
                ladspa-sdk,
@@ -44,25 +43,22 @@
                liblcms2-dev (>= 2.7),
                liblilv-dev (>= 0.22),
                libmjpegtools-dev (>= 2.0.0),
-               libmms-dev (>= 0.4),
                libmodplug-dev,
                libmpcdec-dev,
-               libldacbt-enc-dev,
+               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                libltc-dev (>= 1.1.4),
                libnice-dev (>= 0.1.17),
-               libofa0-dev (>= 0.9.3),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 3.0.0) [!i386],
-               opencv-data [!i386],
+               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
                libwpebackend-fdo-1.0-dev (>= 1.8.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
-               libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa mipsel ppc64 ppc64el s390x sparc64 x32],
+               libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
                libopenexr-dev,
                libopenjp2-7-dev (>= 2.2),
                libopenmpt-dev,
                libopus-dev (>= 0.9.4),
-               libopenaptx-dev (>= 0.2),
-               libopenaptx-dev (<< 0.2.1),
-               libopenni2-dev (>= 0.26) [!i386],
+               libfreeaptx-dev (>= 0.1.1),
+               libopenni2-dev (>= 0.26) [linux-any],
                liborc-0.4-dev (>= 1:0.4.17),
                libpango1.0-dev (>= 1.22),
                libpng-dev,
@@ -107,6 +103,7 @@
                gir1.2-glib-2.0,
                gir1.2-gst-plugins-base-1.0,
                gir1.2-gstreamer-1.0
+Build-Conflicts: libopenaptx-dev
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0/
@@ -140,7 +137,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gstreamer1.0-plugins-base,
+         gstreamer1.0-plugins-base (>= 1.20.0),
+         gstreamer1.0-plugins-good (>= 1.20.0),
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
 Provides: gstreamer1.0-plugins-bad-videoparsers,
           gstreamer1.0-plugins-bad-faad,
@@ -266,5 +264,3 @@
 Description: GStreamer OpenCV libraries
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
