## gst-plugins-bad1.0 1.20.1

=== debian/changelog ===
gst-plugins-bad1.0 (1.20.1-1ubuntu2) jammy; urgency=medium

  * debian/gstreamer1.0-plugins-bad.install: Fix i386 build

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Mar 2022 13:10:14 -0400

gst-plugins-bad1.0 (1.20.1-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
  * d/rules, d/gstreamer1.0-plugins-bad.install:
    - Don't require these Build-Depends on i386:
      + libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
        libwpewebkit-1.0-dev, libzxingcore-dev

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Mar 2022 11:53:37 -0400

gst-plugins-bad1.0 (1.20.1-1) unstable; urgency=medium

  * debian/control,
    debian/gstreamer1.0-plugins-bad.install:
    + Ship openh264 plugin (Closes: #1005226).
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Mar 2022 17:03:33 +0200

gst-plugins-bad1.0 (1.20.0-2ubuntu2) jammy; urgency=medium

  * d/rules, d/gstreamer1.0-plugins-bad.install, d/rules:
    - Don't require these Build-Depends on i386:
      + libltc-dev, libopenaptx-dev, libqrencode-dev, libzxingcore-dev

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 07 Feb 2022 09:36:38 -0500

gst-plugins-bad1.0 (1.20.0-2ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

  [ Laurent Bigonville ]
  * Do not build ldac plugin on big-endian architectures

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 16:40:20 -0500
