## gst-plugins-bad1.0 1.20.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.20.2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/rules, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev
  * Don't ignore build test failures on amd64 and arm64
  * Add patch to skip a failing build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 26 May 2022 13:39:09 -0400

gst-plugins-bad1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:07:05 +0300

gst-plugins-bad1.0 (1.20.1-2) unstable; urgency=medium

  * debian/control:
    + Switch to wpewebkit 1.1 (Closes: #1009721).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Apr 2022 12:27:17 +0300
