## gst-plugins-bad1.0 1.20.3

=== debian/changelog ===
gst-plugins-bad1.0 (1.20.3-2) unstable; urgency=medium

  * Update patch to skip flaky camerabin test too (Closes: #1014264)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2022 15:23:16 -0400

gst-plugins-bad1.0 (1.20.3-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * New upstream bugfix release.

  [ Jeremy Bicha ]
  * Don't ignore dh_auto_test failures on amd64 & arm64.
  * Add patch to skip a failing build test.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Jun 2022 10:16:48 +0300
