=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-plugins-bad1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper,
@@ -44,29 +43,27 @@
                liblcms2-dev (>= 2.7),
                liblilv-dev (>= 0.22),
                libmjpegtools-dev (>= 2.0.0),
-               libmms-dev (>= 0.4),
                libmodplug-dev,
                libmpcdec-dev,
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
-               libltc-dev (>= 1.1.4) [!i386],
+               libltc-dev (>= 1.1.4),
                libnice-dev (>= 0.1.17),
-               libofa0-dev (>= 0.9.3),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 3.0.0) [!i386],
-               opencv-data [!i386],
+               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
                libwpebackend-fdo-1.0-dev (>= 1.8.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
-               libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa mipsel ppc64 ppc64el s390x sparc64 x32],
+               libwpewebkit-1.1-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
                libopenexr-dev,
-               libopenh264-dev (>= 1.3.0) [!i386],
+               libopenh264-dev (>= 1.3.0),
                libopenjp2-7-dev (>= 2.2),
                libopenmpt-dev,
                libopus-dev (>= 0.9.4),
-               libfreeaptx-dev (>= 0.1.1) [!i386],
-               libopenni2-dev (>= 0.26) [!i386],
+               libfreeaptx-dev (>= 0.1.1),
+               libopenni2-dev (>= 0.26) [linux-any],
                liborc-0.4-dev (>= 1:0.4.17),
                libpango1.0-dev (>= 1.22),
                libpng-dev,
-               libqrencode-dev [!i386],
+               libqrencode-dev,
                libjson-glib-dev,
                librsvg2-dev (>= 2.36.2),
                librtmp-dev,
@@ -98,7 +95,7 @@
                libwayland-dev (>= 1.11.0) [linux-any],
                libdrm-dev (>= 2.4.98) [linux-any],
                libva-dev (>= 1.8) [linux-any],
-               libzxingcore-dev (>= 1.1.1) [!i386],
+               libzxingcore-dev (>= 1.1.1),
                wayland-protocols (>= 1.4) [linux-any],
                libmfx-dev [amd64],
                gobject-introspection (>= 0.9.12-4~),
